<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>ISL Pronto Session Browser</title>
<style type="text/css">
{literal}
.results table {
	font-size: 14px;
	border-collapse: collapse;
	width: 100%;
	border: 1px solid #666;
}

.results th {
	color: #FFFFFF;
	font-weight: bold;
	text-align: left;
	background-color: #666;
	padding-left: 6pt;
	padding-right: 6pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border: 1px solid #666;
}

.results tr {
	border: 1px solid black;
	background-color: #F1F1F1;
}

.results td {
	padding-left: 6pt;
	padding-right: 6pt;
	white-space: nowrap;
	border: 1px solid #666;
}
{/literal}
</style>
</head>

<body>
<form id="get_sessions" method="get">
<div class="search_parameters">
<table>
<tr>
<td>From (YYYY-MM-DD,HH:MM):</td>
<td><select name="from_year" id="from_year">
	{section name=i start=2006 loop=2031}
	<option value="{$smarty.section.i.index}"{if $year==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select>
<select name="from_month" id="from_month">
	{section name=i start=1 loop=13}
	<option value="{$smarty.section.i.index}"{if $month==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select>
<select name="from_day" id="from_day">
	{section name=i start=1 loop=32}
	<option value="{$smarty.section.i.index}"{if $day==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select></td>
<td><select name="from_hour" id="from_hour">
	{section name=i start=0 loop=24}
	<option value="{$smarty.section.i.index}"{if $hour==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select>
<select name="from_minute" id="from_minute">
	{section name=i start=0 loop=60}
	<option value="{$smarty.section.i.index}"{if $minute==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select></td>
</tr>

<tr>
<td>To (YYYY-MM-DD,HH:MM):</td>
<td><select name="to_year" id="to_year">
	{section name=i start=2006 loop=2031}
	<option value="{$smarty.section.i.index}"{if $year==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select>
<select name="to_month" id="to_month">
	{section name=i start=1 loop=13}
	<option value="{$smarty.section.i.index}"{if $month==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select>
<select name="to_day" id="to_day">
	{section name=i start=1 loop=32}
	<option value="{$smarty.section.i.index}"{if $day==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select></td>
<td><select name="to_hour" id="to_hour">
	{section name=i start=0 loop=24}
	<option value="{$smarty.section.i.index}"{if $hour==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select>
<select name="to_minute" id="to_minute">
	{section name=i start=0 loop=60}
	<option value="{$smarty.section.i.index}"{if $minute==$smarty.section.i.index}selected="selected"{/if}>{$smarty.section.i.index}</option>
	{/section}
</select></td>
</tr>

<tr>
<td>Domain:</td>
<td>
<input type="text" class="domain-input" name="domain" value="">
</td>
</tr>

<tr>
<td>User:</td>
<td>
<input type="text" class="user-input" name="user" value="">
</td>
</tr>

<tr>
<td>Supporter:</td>
<td>
<input type="text" class="user-input" name="supporter_nick" value="">
</td>
</tr>

<tr>
<td>Customer:</td>
<td>
<input type="text" class="user-input" name="customer_nick" value="">
</td>
</tr>

<tr>
<td>Customer e-mail:</td>
<td>
<input type="text" class="user-input" name="customer_email" value="">
</td>
</tr>


<tr>
<td><button type="submit" name="submit">Get</button></td>
</tr>
</table>
</div>
</form>

{if $process_tables==1}
{if $show_results==0}
<br><i>No results.</i><br>
{/if}
{if $show_results==1}
<div class="results">
<table>
<tr>{foreach from=$field_names name=a item=fields}
	<th>{$fields}</th>
{/foreach}</tr>

{foreach from=$search_result name=i item=v1}
	<tr>{foreach from=$v1 name=j item=v2}
		<td>{$v2}</td>
	{/foreach}</tr>
{/foreach}
</table>
</div>
{/if}
{/if}

</body>

</html>